Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.spreadsheet.core
Class EMFFormsSpreadsheetExporterImpl

    java.lang.Object
      org.eclipse.emfforms.internal.spreadsheet.core.EMFFormsSpreadsheetExporterImpl

All Implemented Interfaces:
  EMFFormsSpreadsheetExporter

    public class EMFFormsSpreadsheetExporterImpl

extends Object
implements EMFFormsSpreadsheetExporter

Implementation of the `EMFFormsSpreadsheetExporter`.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from interface org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsSpreadsheetExporter
`INSTANCE`

Constructor Summary
`EMFFormsSpreadsheetExporterImpl()` Default Constructor.

Method Summary
`org.apache.poi.ss.usermodel.Workbook` | `render(String pathToFile, org.eclipse.emf.ecore.EObject domainObject, VView viewModel)` Starts the rendering to the Spreadsheet document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsSpreadsheetExporterImpl

    public EMFFormsSpreadsheetExporterImpl()

  Default Constructor.

Method Detail

### render

    public org.apache.poi.ss.usermodel.Workbook render(String pathToFile,
                                                       org.eclipse.emf.ecore.EObject domainObject,
                                                       VView viewModel)

  Description copied from interface: `EMFFormsSpreadsheetExporter`
  Starts the rendering to the Spreadsheet document.

  Specified by:
    `render` in interface `EMFFormsSpreadsheetExporter`
  Parameters:
    `pathToFile` - The path to the file to create.
    `domainObject` - The `EObject` containing the data
    `viewModel` - The `VView` describing the rendered data
  Returns:
    The created `Workbook`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.